# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# eolerpclib.py
#  
# Surclassage de xmlrpclib pour Zephir
# (non affichage du login/mdp dans les logs en cas d'erreur)
#       
###########################################################################

import xmlrpclib

# modification de ProtocolError pour cacher le login/mot de passe de l'url
class ProtocolError(xmlrpclib.Error):
    """Indicates an HTTP protocol error."""
    def __init__(self, url, errcode, errmsg, headers):
        xmlrpclib.Error.__init__(self)
        # on supprime le login/mot de passe de l'url en cas d'affichage
        if "@" in url:
            url = url.split('@')[1]
        self.url = url
        self.errcode = errcode
        self.errmsg = errmsg
        self.headers = headers
    def __repr__(self):
        return (
            "<ProtocolError for %s: %s %s>" %
            (self.url, self.errcode, self.errmsg)
            )

xmlrpclib.ProtocolError = ProtocolError
