#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1334320928.0272141
__CHEETAH_genTimestamp__ = 'Fri Apr 13 14:42:08 2012'
__CHEETAH_src__ = 'AgentTmpl.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr 13 14:42:02 2012'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class AgentTmpl(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<!-- AgentTmpl #encoding utf-8 -->
''')
        if VFN(VFFSL(SL,"manager",True),"has_key",False)(VFFSL(SL,"name",True)): # generated from line 2, col 1
            s = VFN(VFFSL(SL,"manager",True)[VFFSL(SL,"name",True)],"last_status",True)
            link = VFFSL(SL,"name",True)
            if VFN(VFFSL(SL,"manager",True)[VFFSL(SL,"name",True)],"description",True) is not None and VFFSL(SL,"len",False)(VFN(VFFSL(SL,"manager",True)[VFFSL(SL,"name",True)],"description",True)) != 0: # generated from line 5, col 3
                link = VFN(VFFSL(SL,"manager",True)[VFFSL(SL,"name",True)],"description",True)
            else: # generated from line 7, col 3
                link = VFN(VFFSL(SL,"manager",True)[VFFSL(SL,"name",True)],"name",True)
            write('''  <a href="/agents/''')
            _v = VFFSL(SL,"manager.client_name",True) # '$manager.client_name' on line 10, col 20
            if _v is not None: write(_filter(_v, rawExpr='$manager.client_name')) # from line 10, col 20.
            write('''/''')
            _v = VFFSL(SL,"name",True) # '$name' on line 10, col 41
            if _v is not None: write(_filter(_v, rawExpr='$name')) # from line 10, col 41.
            write('''/">''')
            _v = VFFSL(SL,"link",True) # '$link' on line 10, col 49
            if _v is not None: write(_filter(_v, rawExpr='$link')) # from line 10, col 49.
            write('''</a>
  [<span class="status-''')
            _v = VFFSL(SL,"s.level",True) # '$s.level' on line 11, col 24
            if _v is not None: write(_filter(_v, rawExpr='$s.level')) # from line 11, col 24.
            write('''">''')
            _v = VFFSL(SL,"str",False)(VFFSL(SL,"s",True)) # '$str($s)' on line 11, col 34
            if _v is not None: write(_filter(_v, rawExpr='$str($s)')) # from line 11, col 34.
            write('''</span>]
''')
        else: # generated from line 12, col 1
            write('''  <span class="invalid" title="Agent non charg\xc3\xa9">''')
            _v = VFFSL(SL,"name",True) # '$name' on line 13, col 51
            if _v is not None: write(_filter(_v, rawExpr='$name')) # from line 13, col 51.
            write('''</span>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_AgentTmpl= 'respond'

## END CLASS DEFINITION

if not hasattr(AgentTmpl, '_initCheetahAttributes'):
    templateAPIClass = getattr(AgentTmpl, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(AgentTmpl)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=AgentTmpl()).run()


