#!/usr/bin/env python
# -*- coding: utf-8 --> -*-



##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1334320928.5263031
__CHEETAH_genTimestamp__ = 'Fri Apr 13 14:42:08 2012'
__CHEETAH_src__ = 'MeasuresDataTmpl.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr 13 14:42:02 2012'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class MeasuresDataTmpl(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<!-- MeasuresDataTmpl <table class="measures">
  <thead>
    <tr>
      <td>Date</td>
''')
        for f in VFFSL(SL,"data.fields",True): # generated from line 6, col 7
            write('''      <td>''')
            _v = VFFSL(SL,"f",True) # '$f' on line 7, col 11
            if _v is not None: write(_filter(_v, rawExpr='$f')) # from line 7, col 11.
            write('''</td>
''')
        write('''    </tr>
  </thead>
  <tbody>
''')
        for i in range(len(VFFSL(SL,"data.measures",True))): # generated from line 12, col 5
            if VFFSL(SL,"i",True) % 2 == 0: # generated from line 13, col 7
                row_class = "even"
            else: # generated from line 15, col 7
                row_class = "odd"
            m = VFN(VFFSL(SL,"data",True),"measures",True)[VFFSL(SL,"i",True)]
            write('''    <tr class="''')
            _v = VFFSL(SL,"row_class",True) # '$row_class' on line 19, col 16
            if _v is not None: write(_filter(_v, rawExpr='$row_class')) # from line 19, col 16.
            write('''">
      <td>''')
            _v = VFN(VFFSL(SL,"m",True),"get_date",False)() # '$m.get_date()' on line 20, col 11
            if _v is not None: write(_filter(_v, rawExpr='$m.get_date()')) # from line 20, col 11.
            write('''</td>
''')
            for f in VFFSL(SL,"data.fields",True): # generated from line 21, col 7
                write('''      <td>''')
                _v = VFN(VFFSL(SL,"m",True),"get_value",False)(VFFSL(SL,"f",True)) # '$m.get_value($f)' on line 22, col 11
                if _v is not None: write(_filter(_v, rawExpr='$m.get_value($f)')) # from line 22, col 11.
                write('''</td>
''')
            write('''    </tr>
''')
        write('''  </tbody>
  <tfoot>
    <tr>
''')
        nf = VFFSL(SL,"len",False)(VFFSL(SL,"data.fields",True))+1
        nm = VFFSL(SL,"len",False)(VFFSL(SL,"data.measures",True))
        write('''    <td colspan="''')
        _v = VFFSL(SL,"nf",True) # '$nf' on line 31, col 18
        if _v is not None: write(_filter(_v, rawExpr='$nf')) # from line 31, col 18.
        write('''" align="right">''')
        _v = VFFSL(SL,"nm",True) # '$nm' on line 31, col 37
        if _v is not None: write(_filter(_v, rawExpr='$nm')) # from line 31, col 37.
        write(''' measures</td>
    </tr>
  </tfoot>
</table>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_MeasuresDataTmpl= 'respond'

## END CLASS DEFINITION

if not hasattr(MeasuresDataTmpl, '_initCheetahAttributes'):
    templateAPIClass = getattr(MeasuresDataTmpl, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(MeasuresDataTmpl)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=MeasuresDataTmpl()).run()


